rm(list=ls(all=TRUE))
library(moments)
## scan data CKD
WD.PATH = paste(getwd(),"/data and software/",sep="")
Data=matrix(scan(paste(WD.PATH,'data/ckd.txt',sep="")), ncol=12, byrow=T)

ckd.na=notckd.na=rep(NA, 11)
# number of missing values
for(i in 1:11)
{
ckd.na[i]=sum(is.na(Data[1:250,i]))
notckd.na[i]=sum(is.na(Data[251:400,i]))
}
Data[,10]=Data[,10]/100
idx1=1:250
idx2=251:400
# sample mean
ckd.mean=round(apply(Data[idx1,-12], 2, mean, na.rm=T),1)
notckd.mean=round(apply(Data[idx2,-12], 2, mean, na.rm=T),1)
# sample sd
ckd.sd=round(apply(Data[idx1,-12], 2, sd, na.rm=T),1)
notckd.sd=round(apply(Data[idx2,-12], 2, sd, na.rm=T),1)
# sample skewness
ckd.skew=round(apply(Data[idx1,-12], 2, skewness, na.rm=T),1)
notckd.skew=round(apply(Data[idx2,-12], 2, skewness, na.rm=T),1)
# sample kurtosis
ckd.kurt=round(apply(Data[idx1,-12], 2, kurtosis, na.rm=T),1)
notckd.kurt=round(apply(Data[idx2,-12], 2, kurtosis, na.rm=T),1)

# output of Table 1 
cbind(ckd.na,notckd.na,ckd.mean,notckd.mean,ckd.sd,notckd.sd,ckd.skew,notckd.skew,ckd.kurt,notckd.kurt)

