rm(list=ls(all=TRUE))
library(moments)
WD.PATH = paste(getwd(),"/data and software/",sep="")
load(paste(WD.PATH,'data/ckd-fit-g2.RData',sep=""))

skew=kurt=numeric(3)
skew[1]=skewness(fit1$score[,2])
skew[2]=skewness(fit2$score[,2])
skew[3]=skewness(fit3$score[,2])
kurt[1]=kurtosis(fit1$score[,2])
kurt[2]=kurtosis(fit2$score[,2])
kurt[3]=kurtosis(fit3$score[,2])

#postscript(paste(WD.PATH,'fig1.eps',sep=""), width=30, height=7.5)
par(mfrow=c(1,3))
par(pty='s')

hist(fit3$score[,2], nclass=35, xlab='facor scores', main='MFA', prob=T, col='lightblue')
text(3.5, 0.54, paste('skewness=', round(skew[3], 2),sep=''), cex.lab=0.8, bty='n')
text(3.5, 0.50, paste('kurtosis=', round(kurt[3], 2),sep=''), cex.lab=0.8, bty='n')

#lines(density(fit3$score[,2]))
hist(fit2$score[,2], nclass=35, xlab='facor scores', main='MSNFA', prob=T, col='lightblue')
text(5, 0.45, paste('skewness=', round(skew[2], 2),sep=''), cex.lab=0.8, bty='n')
text(5, 0.41, paste('kurtosis=', round(kurt[2], 2),sep=''), cex.lab=0.8, bty='n')
#lines(density(fit1$score[,2]))
hist(fit1$score[,2], nclass=35, xlab='facor scores', main='MSTFA', prob=T, col='lightblue')
#lines(density(fit1$score[,2]))
text(15, 0.45, paste('skewness=', round(skew[1], 2),sep=''), cex.lab=0.8, bty='n')
text(15, 0.41, paste('kurtosis=', round(kurt[1], 2),sep=''), cex.lab=0.8, bty='n')
#dev.off()



